Index: acinclude.m4
===================================================================
--- acinclude.m4	(revision 14298)
+++ acinclude.m4	(working copy)
@@ -41,9 +41,24 @@
     ac_save_LIBS="$LIBS"
     CFLAGS="$CFLAGS $OGG_CFLAGS"
     LIBS="$LIBS $OGG_LIBS"
-dnl
-dnl Now check if the installed Ogg is sufficiently new.
-dnl
+
+    dnl 
+    dnl Check does test program link fine
+    dnl 
+    ogg_linked=""
+    AC_TRY_LINK([
+#include <stdio.h>
+#include <ogg/ogg.h>
+],  [ return 0; ], ogg_linked=yes,
+    [ no_ogg=yes
+      echo "*** The test program failed to compile or link. See the file config.log for the"
+      echo "*** exact error that occured. This usually means Ogg was incorrectly installed"
+      echo "*** or that you have moved Ogg since it was installed."])
+
+    if test "x$ogg_linked" = "yes" ; then
+      dnl
+      dnl Now check if the installed Ogg is sufficiently new.
+      dnl
       rm -f conf.oggtest
       AC_TRY_RUN([
 #include <stdio.h>
@@ -57,9 +72,20 @@
   return 0;
 }
 
-],, no_ogg=yes,[echo $ac_n "cross compiling; assumed OK... $ac_c"])
-       CFLAGS="$ac_save_CFLAGS"
-       LIBS="$ac_save_LIBS"
+],    , [ no_ogg=yes
+        echo "*** The test program compiled, but did not run. This usually means"
+        echo "*** that the run-time linker is not finding Ogg or finding the wrong"
+        echo "*** version of Ogg. If it is not finding Ogg, you'll need to set your"
+        echo "*** LD_LIBRARY_PATH environment variable, or edit /etc/ld.so.conf to point"
+        echo "*** to the installed location  Also, make sure you have run ldconfig if that"
+        echo "*** is required on your system"
+        echo "***"
+        echo "*** If you have an old version installed, it is best to remove it, although"
+        echo "*** you may also be able to get things to work by modifying LD_LIBRARY_PATH"],
+      [echo $ac_n "cross compiling; assumed OK... $ac_c"])
+    fi
+    CFLAGS="$ac_save_CFLAGS"
+    LIBS="$ac_save_LIBS"
   fi
 
   if test "x$no_ogg" = "x" ; then
@@ -67,31 +93,6 @@
      ifelse([$1], , :, [$1])     
   else
      AC_MSG_RESULT(no)
-     if test -f conf.oggtest ; then
-       :
-     else
-       echo "*** Could not run Ogg test program, checking why..."
-       CFLAGS="$CFLAGS $OGG_CFLAGS"
-       LIBS="$LIBS $OGG_LIBS"
-       AC_TRY_LINK([
-#include <stdio.h>
-#include <ogg/ogg.h>
-],     [ return 0; ],
-       [ echo "*** The test program compiled, but did not run. This usually means"
-       echo "*** that the run-time linker is not finding Ogg or finding the wrong"
-       echo "*** version of Ogg. If it is not finding Ogg, you'll need to set your"
-       echo "*** LD_LIBRARY_PATH environment variable, or edit /etc/ld.so.conf to point"
-       echo "*** to the installed location  Also, make sure you have run ldconfig if that"
-       echo "*** is required on your system"
-       echo "***"
-       echo "*** If you have an old version installed, it is best to remove it, although"
-       echo "*** you may also be able to get things to work by modifying LD_LIBRARY_PATH"],
-       [ echo "*** The test program failed to compile or link. See the file config.log for the"
-       echo "*** exact error that occured. This usually means Ogg was incorrectly installed"
-       echo "*** or that you have moved Ogg since it was installed." ])
-       CFLAGS="$ac_save_CFLAGS"
-       LIBS="$ac_save_LIBS"
-     fi
      OGG_CFLAGS=""
      OGG_LIBS=""
      ifelse([$2], , :, [$2])